DX Infrastructure Manager

Expand all | Collapse all

KernelBase.dll error on trying to open a probe

Jump to Best Answer
  • 1.  KernelBase.dll error on trying to open a probe

    Posted 03-05-2015 07:16 PM

    I just went to open the cisco_ucs probe which is on a seperate hub to my Primary hub.I did this in Infrastructure Manager, and it failed to open. I got an alarm in IM as follows;

     

    Application Error(1000 - Application Crashing Events): Faulting application name: conf_cisco_ucs_2.01.exe version: 1.0.0.0 time stamp: 0x51cfb4c1Faulting module name: KERNELBASE.dll version: 6.1.7601.18229 time stamp: 0x51fb1677Exception code: 0xe053534fFault offset: 0x000000000000940dFaulting process id: 0x%9Faulting application start time: 0x%10Faulting application path: %11Faulting module path: %12Report Id: %13

     

    I have uninstalled and re-installed several versions of the cisco_ucs probe with exactly the same error. I have deleted the probe and manually cleared the cisco_ucs folder on the hub server where it resided, still with the same error. It does not appear to be affecting any of the other probes on this hub. 

     

    I am beginning to think it is a Windows error (the hub is Windows 2008) but would appreciate if anyone has any ideas on this please?

     

    Thank you

    Kevin



  • 2.  Re: KernelBase.dll error on trying to open a probe

    Posted 03-05-2015 07:25 PM
    I just added the cisco_ucs probe to another robot server in my environment and I get exactly the same error. I also downloaded the probe again and over wrote the existing one in my archive but it still does the same.


  • 3.  Re: KernelBase.dll error on trying to open a probe

    Posted 03-05-2015 07:34 PM
    I managed to 'raw configure' the probe and increased the logging but the only error I can see is the following;

    Mar 05 16:31:55:042 [main, cisco_ucs] ./cisco_ucs.cfg.pre2.00 does not exist


  • 4.  Re: KernelBase.dll error on trying to open a probe
    Best Answer

    Posted 03-06-2015 01:10 AM

    Have you verified

    • Infrastructure Managerv4.02 or later
    • .NET v3.5 on the hardware running the Infrastructure Manager application

    I've found some probe GUIs to be very particular about the versions of .Net installed.

     

    And while newer versions of .Net supply functionality found in older versions, sometimes code is written that depends specifically on the behavior of a specific version of .Net. So if 3.5 isn't installed, try installing it.

     

    -Garin



  • 5.  Re: KernelBase.dll error on trying to open a probe

    Posted 03-09-2015 03:17 PM
    Thanks Garin I will take a look, however this is on a set up that has been working well for over a year with no changes, it has just started happening. Kevin


  • 6.  Re: KernelBase.dll error on trying to open a probe

    Posted 03-09-2015 03:23 PM
    Hi Garin, 3.5 was installed but I re-installed it and it works fine now. Thank you for the help

    Kevin